package com.zanxiang.game.data.serve.service.impl;

import com.zanxiang.game.data.serve.pojo.dto.GameServerDayDTO;
import com.zanxiang.game.data.serve.pojo.dto.GameServerDayTotalDTO;
import com.zanxiang.game.data.serve.pojo.vo.GameServerDayTotalVO;
import com.zanxiang.game.data.serve.pojo.vo.GameServerDayVO;
import com.zanxiang.game.data.serve.service.IGameServerService;
import com.zanxiang.game.data.serve.utils.Page;
import lombok.extern.slf4j.Slf4j;
import org.nutz.dao.Dao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author tianhua
 * @time 2023/8/14
 * @Description 游戏区服接口逻辑处理
 **/
@Slf4j
@Service
public class GameServerServiceImpl implements IGameServerService {

    @Autowired
    private Dao dao;

    /**
     * 游戏区服数据
     * @param dto 前端传递的查询参数
     * @return page
     */
    @Override
    public Page<GameServerDayVO> getGameServerDataDay(GameServerDayDTO dto) {
        //游戏id为最小维度
        return null;
    }

    /**
     * 游戏区服数据总计
     * @param dto 前端传递的查询参数
     * @return vo
     */
    @Override
    public GameServerDayTotalVO getGameServerDataDayTotal(GameServerDayTotalDTO dto) {
        return null;
    }
}
